Subject: bug#30141: (26.0.91; text-pixel dimensions not properly saved by desktop-save-mode sometimes)

From: martin rudalics <[email-masked]>
Date: Sat, 20 Jan 2018 15:07:18 +0100

> Not sure about the release branch.  AFAIU, this problem existed since
 > Emacs 24.4, and it rears its ugly head only in the situation described
 > above, where the frame is restored with pixel size that's not a
 > multiple of the default font, and then resized to be an exact multiple
 > before saving it, is that right?  If so, it sounds obscure enough for
 > us to be able to live with it until Emacs 27, I think.

The problem didn't exist before commit
804b37ca63ecd68c5359febbedbec120c06918af because there was no way to
store pixel sizes via the frameset mechanism.  So the current patch is
merely a fix for that commit and not for some earlier behavior.

martin